/*
 * See the file "LICENSE" for the full license governing this code.
 */
package up;

/**
 * Receive notifications about a stream of trees.
 *
 * @author Marco Kuhlmann <marco.kuhlmann@lingfil.uu.se>
 */
public interface TreeHandler {

    /**
     * Receives notification about the beginning of the stream.
     */
    public abstract void init();

    /**
     * Receives notification about the next tree in the stream.
     *
     * @param tree the next tree in the stream
     */
    public abstract void next(Tree tree);

    /**
     * Receives notification about the end of the stream.
     */
    public abstract void exit();
}
