/*
 * See the file "LICENSE" for the full license governing this code.
 */
package up;

/**
 * A predicate for trees.
 *
 * @author Marco Kuhlmann <marco.kuhlmann@lingfil.uu.se>
 */
public interface TreePredicate {

	/**
	 * Tests whether this predicate applies to the specified tree.
	 *
	 * @param tree the tree on which to test this predicate
	 * @return <code>true</code> if and only if this predicate applies to the
	 * specified tree
	 */
	public abstract boolean applies(Tree tree);
}
